All of lore.kernel.org
 help / color / mirror / Atom feed
* [Buildroot] [PATCH 1/2] package/docker-engine: drop BR2_PACKAGE_LVM2_APP_LIBRARY
@ 2021-05-17 17:06 Fabrice Fontaine
  2021-05-17 17:06 ` [Buildroot] [PATCH 2/2] package/lvm2: " Fabrice Fontaine
                   ` (2 more replies)
  0 siblings, 3 replies; 14+ messages in thread
From: Fabrice Fontaine @ 2021-05-17 17:06 UTC (permalink / raw)
  To: buildroot

lvm2 app library is not needed to build devicemapper filesystem driver

Signed-off-by: Fabrice Fontaine <fontaine.fabrice@gmail.com>
---
 package/docker-engine/Config.in | 2 --
 1 file changed, 2 deletions(-)

diff --git a/package/docker-engine/Config.in b/package/docker-engine/Config.in
index 357101f280..911cbfe428 100644
--- a/package/docker-engine/Config.in
+++ b/package/docker-engine/Config.in
@@ -34,9 +34,7 @@ config BR2_PACKAGE_DOCKER_ENGINE_DRIVER_DEVICEMAPPER
 	depends on BR2_TOOLCHAIN_HAS_THREADS # lvm2
 	depends on BR2_USE_MMU # lvm2
 	depends on !BR2_STATIC_LIBS # lvm2
-	depends on !BR2_TOOLCHAIN_USES_MUSL # lvm2
 	select BR2_PACKAGE_LVM2
-	select BR2_PACKAGE_LVM2_APP_LIBRARY
 	help
 	  Build the devicemapper filesystem driver for Docker.
 
-- 
2.30.2

^ permalink raw reply	[flat|nested] 14+ messages in thread

* [Buildroot] [PATCH 2/2] package/lvm2: drop BR2_PACKAGE_LVM2_APP_LIBRARY
  2021-05-17 17:06 [Buildroot] [PATCH 1/2] package/docker-engine: drop BR2_PACKAGE_LVM2_APP_LIBRARY Fabrice Fontaine
@ 2021-05-17 17:06 ` Fabrice Fontaine
  2021-05-17 20:43   ` Yann E. MORIN
  2021-05-17 20:23 ` [Buildroot] [PATCH 1/2] package/docker-engine: " Yann E. MORIN
  2021-05-20  8:51 ` Peter Korsgaard
  2 siblings, 1 reply; 14+ messages in thread
From: Fabrice Fontaine @ 2021-05-17 17:06 UTC (permalink / raw)
  To: buildroot

The application library (liblvm2app) has been dropped since version
2.03.00 and
https://github.com/lvmteam/lvm2/commit/0d22b58172808f050abeacdb5d6a7b7132b91a8c

It should be noted that lvm2 support must be dropped from udisks until
a bump to at least version 2.7.0 and
https://github.com/storaged-project/udisks/commit/4c0709a893be49a0db5b2839e4766621e2c1bb98

Signed-off-by: Fabrice Fontaine <fontaine.fabrice@gmail.com>
---
 Config.in.legacy         | 13 +++++++++++++
 package/lvm2/Config.in   | 11 -----------
 package/lvm2/lvm2.mk     |  7 -------
 package/udisks/Config.in | 15 ---------------
 package/udisks/udisks.mk |  6 +-----
 5 files changed, 14 insertions(+), 38 deletions(-)

diff --git a/Config.in.legacy b/Config.in.legacy
index 39a44f3026..8683e01490 100644
--- a/Config.in.legacy
+++ b/Config.in.legacy
@@ -146,6 +146,19 @@ endif
 
 comment "Legacy options removed in 2021.05"
 
+config BR2_PACKAGE_UDISKS_LVM2
+	bool "udisks lvm2 support removed"
+	select BR2_LEGACY
+	help
+	  The lvm2 support was removed because udisks < 2.7.0 still
+	  depends on lvm2 application library.
+
+config BR2_PACKAGE_LVM2_APP_LIBRARY
+	bool "lvm2 application library removed"
+	select BR2_LEGACY
+	help
+	  The lvm2 application library was removed upstream.
+
 config BR2_PACKAGE_LVM2_LVMETAD
 	bool "lvm2 lvmetad removed"
 	select BR2_LEGACY
diff --git a/package/lvm2/Config.in b/package/lvm2/Config.in
index de5b972e99..f8bcdffb38 100644
--- a/package/lvm2/Config.in
+++ b/package/lvm2/Config.in
@@ -36,17 +36,6 @@ config BR2_PACKAGE_LVM2_STANDARD_INSTALL
 comment "lvm2 standard install needs a glibc or uClibc toolchain"
 	depends on BR2_TOOLCHAIN_USES_MUSL
 
-config BR2_PACKAGE_LVM2_APP_LIBRARY
-	bool "install application library"
-	# http://lists.busybox.net/pipermail/buildroot/2016-August/170592.html
-	depends on !BR2_TOOLCHAIN_USES_MUSL
-	select BR2_PACKAGE_LVM2_STANDARD_INSTALL
-	help
-	  Install application library (liblvm2app).
-
-comment "lvm2 application library needs a glibc or uClibc toolchain"
-	depends on BR2_TOOLCHAIN_USES_MUSL
-
 endif
 
 comment "lvm2 needs a toolchain w/ threads, dynamic library"
diff --git a/package/lvm2/lvm2.mk b/package/lvm2/lvm2.mk
index 84ec75530a..224dbf5d54 100644
--- a/package/lvm2/lvm2.mk
+++ b/package/lvm2/lvm2.mk
@@ -55,12 +55,6 @@ LVM2_INSTALL_STAGING_OPTS += install
 LVM2_INSTALL_TARGET_OPTS += install
 endif
 
-ifeq ($(BR2_PACKAGE_LVM2_APP_LIBRARY),y)
-LVM2_CONF_OPTS += --enable-applib
-else
-LVM2_CONF_OPTS += --disable-applib
-endif
-
 ifeq ($(BR2_INIT_SYSTEMD),y)
 LVM2_INSTALL_TARGET_OPTS += install_systemd_units install_systemd_generators
 endif
@@ -75,7 +69,6 @@ HOST_LVM2_CONF_OPTS = \
 	--enable-pkgconfig \
 	--disable-cmdlib \
 	--disable-dmeventd \
-	--disable-applib \
 	--disable-fsadm \
 	--disable-readline \
 	--disable-selinux
diff --git a/package/udisks/Config.in b/package/udisks/Config.in
index efd3b619bf..9d3eb240e6 100644
--- a/package/udisks/Config.in
+++ b/package/udisks/Config.in
@@ -31,21 +31,6 @@ config BR2_PACKAGE_UDISKS
 
 	  http://www.freedesktop.org/wiki/Software/udisks
 
-if BR2_PACKAGE_UDISKS
-
-config BR2_PACKAGE_UDISKS_LVM2
-	bool "lvm2 support"
-	# The lvm app library can't compile against musl
-	depends on BR2_TOOLCHAIN_USES_GLIBC
-	select BR2_PACKAGE_LVM2_APP_LIBRARY
-	help
-	  Enable LVM2 support
-
-comment "lvm2 support needs a glibc toolchain"
-	depends on !BR2_TOOLCHAIN_USES_GLIBC
-
-endif
-
 comment "udisks needs udev /dev management"
 	depends on BR2_USE_MMU
 	depends on !BR2_PACKAGE_HAS_UDEV
diff --git a/package/udisks/udisks.mk b/package/udisks/udisks.mk
index af25c2b8e2..9f7a02e10c 100644
--- a/package/udisks/udisks.mk
+++ b/package/udisks/udisks.mk
@@ -24,10 +24,6 @@ UDISKS_DEPENDENCIES = \
 	sg3_utils \
 	udev
 
-UDISKS_CONF_OPTS = --disable-remote-access --disable-man-pages
-
-ifeq ($(BR2_PACKAGE_UDISKS_LVM2),y)
-UDISKS_CONF_OPTS += --enable-lvm2
-endif
+UDISKS_CONF_OPTS = --disable-remote-access --disable-man-pages --disable-lvm2
 
 $(eval $(autotools-package))
-- 
2.30.2

^ permalink raw reply	[flat|nested] 14+ messages in thread

* [Buildroot] [PATCH 1/2] package/docker-engine: drop BR2_PACKAGE_LVM2_APP_LIBRARY
  2021-05-17 17:06 [Buildroot] [PATCH 1/2] package/docker-engine: drop BR2_PACKAGE_LVM2_APP_LIBRARY Fabrice Fontaine
  2021-05-17 17:06 ` [Buildroot] [PATCH 2/2] package/lvm2: " Fabrice Fontaine
@ 2021-05-17 20:23 ` Yann E. MORIN
  2021-05-20  8:51 ` Peter Korsgaard
  2 siblings, 0 replies; 14+ messages in thread
From: Yann E. MORIN @ 2021-05-17 20:23 UTC (permalink / raw)
  To: buildroot

Fabrice, All,

On 2021-05-17 19:06 +0200, Fabrice Fontaine spake thusly:
> lvm2 app library is not needed to build devicemapper filesystem driver
> 
> Signed-off-by: Fabrice Fontaine <fontaine.fabrice@gmail.com>

Applied to master, thanks.

Regards,
Yann E. MORIN.

> ---
>  package/docker-engine/Config.in | 2 --
>  1 file changed, 2 deletions(-)
> 
> diff --git a/package/docker-engine/Config.in b/package/docker-engine/Config.in
> index 357101f280..911cbfe428 100644
> --- a/package/docker-engine/Config.in
> +++ b/package/docker-engine/Config.in
> @@ -34,9 +34,7 @@ config BR2_PACKAGE_DOCKER_ENGINE_DRIVER_DEVICEMAPPER
>  	depends on BR2_TOOLCHAIN_HAS_THREADS # lvm2
>  	depends on BR2_USE_MMU # lvm2
>  	depends on !BR2_STATIC_LIBS # lvm2
> -	depends on !BR2_TOOLCHAIN_USES_MUSL # lvm2
>  	select BR2_PACKAGE_LVM2
> -	select BR2_PACKAGE_LVM2_APP_LIBRARY
>  	help
>  	  Build the devicemapper filesystem driver for Docker.
>  
> -- 
> 2.30.2
> 
> _______________________________________________
> buildroot mailing list
> buildroot at busybox.net
> http://lists.busybox.net/mailman/listinfo/buildroot

-- 
.-----------------.--------------------.------------------.--------------------.
|  Yann E. MORIN  | Real-Time Embedded | /"\ ASCII RIBBON | Erics' conspiracy: |
| +33 662 376 056 | Software  Designer | \ / CAMPAIGN     |  ___               |
| +33 561 099 427 `------------.-------:  X  AGAINST      |  \e/  There is no  |
| http://ymorin.is-a-geek.org/ | _/*\_ | / \ HTML MAIL    |   v   conspiracy.  |
'------------------------------^-------^------------------^--------------------'

^ permalink raw reply	[flat|nested] 14+ messages in thread

* [Buildroot] [PATCH 2/2] package/lvm2: drop BR2_PACKAGE_LVM2_APP_LIBRARY
  2021-05-17 17:06 ` [Buildroot] [PATCH 2/2] package/lvm2: " Fabrice Fontaine
@ 2021-05-17 20:43   ` Yann E. MORIN
  2021-05-17 20:51     ` Fabrice Fontaine
  0 siblings, 1 reply; 14+ messages in thread
From: Yann E. MORIN @ 2021-05-17 20:43 UTC (permalink / raw)
  To: buildroot

Fabrice, All,

+Adam for udisks and GOI... ;-]

On 2021-05-17 19:06 +0200, Fabrice Fontaine spake thusly:
> The application library (liblvm2app) has been dropped since version
> 2.03.00 and
> https://github.com/lvmteam/lvm2/commit/0d22b58172808f050abeacdb5d6a7b7132b91a8c
> 
> It should be noted that lvm2 support must be dropped from udisks until
> a bump to at least version 2.7.0 and
> https://github.com/storaged-project/udisks/commit/4c0709a893be49a0db5b2839e4766621e2c1bb98
> 
> Signed-off-by: Fabrice Fontaine <fontaine.fabrice@gmail.com>

Applied to master, thanks.

I was a bit concerned that we dropped this support, but hinestly, we
have udisks 1.0.5, from March 2014... So, to me, it's a minor annoyance
if lvm2 support in udisks is dropped...

IIRC, Adam, did some work on udisks back when he was "toying" with GOI...
Adam? ;-)

Regards,
Yann E. MORIN.

> ---
>  Config.in.legacy         | 13 +++++++++++++
>  package/lvm2/Config.in   | 11 -----------
>  package/lvm2/lvm2.mk     |  7 -------
>  package/udisks/Config.in | 15 ---------------
>  package/udisks/udisks.mk |  6 +-----
>  5 files changed, 14 insertions(+), 38 deletions(-)
> 
> diff --git a/Config.in.legacy b/Config.in.legacy
> index 39a44f3026..8683e01490 100644
> --- a/Config.in.legacy
> +++ b/Config.in.legacy
> @@ -146,6 +146,19 @@ endif
>  
>  comment "Legacy options removed in 2021.05"
>  
> +config BR2_PACKAGE_UDISKS_LVM2
> +	bool "udisks lvm2 support removed"
> +	select BR2_LEGACY
> +	help
> +	  The lvm2 support was removed because udisks < 2.7.0 still
> +	  depends on lvm2 application library.
> +
> +config BR2_PACKAGE_LVM2_APP_LIBRARY
> +	bool "lvm2 application library removed"
> +	select BR2_LEGACY
> +	help
> +	  The lvm2 application library was removed upstream.
> +
>  config BR2_PACKAGE_LVM2_LVMETAD
>  	bool "lvm2 lvmetad removed"
>  	select BR2_LEGACY
> diff --git a/package/lvm2/Config.in b/package/lvm2/Config.in
> index de5b972e99..f8bcdffb38 100644
> --- a/package/lvm2/Config.in
> +++ b/package/lvm2/Config.in
> @@ -36,17 +36,6 @@ config BR2_PACKAGE_LVM2_STANDARD_INSTALL
>  comment "lvm2 standard install needs a glibc or uClibc toolchain"
>  	depends on BR2_TOOLCHAIN_USES_MUSL
>  
> -config BR2_PACKAGE_LVM2_APP_LIBRARY
> -	bool "install application library"
> -	# http://lists.busybox.net/pipermail/buildroot/2016-August/170592.html
> -	depends on !BR2_TOOLCHAIN_USES_MUSL
> -	select BR2_PACKAGE_LVM2_STANDARD_INSTALL
> -	help
> -	  Install application library (liblvm2app).
> -
> -comment "lvm2 application library needs a glibc or uClibc toolchain"
> -	depends on BR2_TOOLCHAIN_USES_MUSL
> -
>  endif
>  
>  comment "lvm2 needs a toolchain w/ threads, dynamic library"
> diff --git a/package/lvm2/lvm2.mk b/package/lvm2/lvm2.mk
> index 84ec75530a..224dbf5d54 100644
> --- a/package/lvm2/lvm2.mk
> +++ b/package/lvm2/lvm2.mk
> @@ -55,12 +55,6 @@ LVM2_INSTALL_STAGING_OPTS += install
>  LVM2_INSTALL_TARGET_OPTS += install
>  endif
>  
> -ifeq ($(BR2_PACKAGE_LVM2_APP_LIBRARY),y)
> -LVM2_CONF_OPTS += --enable-applib
> -else
> -LVM2_CONF_OPTS += --disable-applib
> -endif
> -
>  ifeq ($(BR2_INIT_SYSTEMD),y)
>  LVM2_INSTALL_TARGET_OPTS += install_systemd_units install_systemd_generators
>  endif
> @@ -75,7 +69,6 @@ HOST_LVM2_CONF_OPTS = \
>  	--enable-pkgconfig \
>  	--disable-cmdlib \
>  	--disable-dmeventd \
> -	--disable-applib \
>  	--disable-fsadm \
>  	--disable-readline \
>  	--disable-selinux
> diff --git a/package/udisks/Config.in b/package/udisks/Config.in
> index efd3b619bf..9d3eb240e6 100644
> --- a/package/udisks/Config.in
> +++ b/package/udisks/Config.in
> @@ -31,21 +31,6 @@ config BR2_PACKAGE_UDISKS
>  
>  	  http://www.freedesktop.org/wiki/Software/udisks
>  
> -if BR2_PACKAGE_UDISKS
> -
> -config BR2_PACKAGE_UDISKS_LVM2
> -	bool "lvm2 support"
> -	# The lvm app library can't compile against musl
> -	depends on BR2_TOOLCHAIN_USES_GLIBC
> -	select BR2_PACKAGE_LVM2_APP_LIBRARY
> -	help
> -	  Enable LVM2 support
> -
> -comment "lvm2 support needs a glibc toolchain"
> -	depends on !BR2_TOOLCHAIN_USES_GLIBC
> -
> -endif
> -
>  comment "udisks needs udev /dev management"
>  	depends on BR2_USE_MMU
>  	depends on !BR2_PACKAGE_HAS_UDEV
> diff --git a/package/udisks/udisks.mk b/package/udisks/udisks.mk
> index af25c2b8e2..9f7a02e10c 100644
> --- a/package/udisks/udisks.mk
> +++ b/package/udisks/udisks.mk
> @@ -24,10 +24,6 @@ UDISKS_DEPENDENCIES = \
>  	sg3_utils \
>  	udev
>  
> -UDISKS_CONF_OPTS = --disable-remote-access --disable-man-pages
> -
> -ifeq ($(BR2_PACKAGE_UDISKS_LVM2),y)
> -UDISKS_CONF_OPTS += --enable-lvm2
> -endif
> +UDISKS_CONF_OPTS = --disable-remote-access --disable-man-pages --disable-lvm2
>  
>  $(eval $(autotools-package))
> -- 
> 2.30.2
> 
> _______________________________________________
> buildroot mailing list
> buildroot at busybox.net
> http://lists.busybox.net/mailman/listinfo/buildroot

-- 
.-----------------.--------------------.------------------.--------------------.
|  Yann E. MORIN  | Real-Time Embedded | /"\ ASCII RIBBON | Erics' conspiracy: |
| +33 662 376 056 | Software  Designer | \ / CAMPAIGN     |  ___               |
| +33 561 099 427 `------------.-------:  X  AGAINST      |  \e/  There is no  |
| http://ymorin.is-a-geek.org/ | _/*\_ | / \ HTML MAIL    |   v   conspiracy.  |
'------------------------------^-------^------------------^--------------------'

^ permalink raw reply	[flat|nested] 14+ messages in thread

* [Buildroot] [PATCH 2/2] package/lvm2: drop BR2_PACKAGE_LVM2_APP_LIBRARY
  2021-05-17 20:43   ` Yann E. MORIN
@ 2021-05-17 20:51     ` Fabrice Fontaine
  2021-05-18  7:58       ` Giulio Benetti
  0 siblings, 1 reply; 14+ messages in thread
From: Fabrice Fontaine @ 2021-05-17 20:51 UTC (permalink / raw)
  To: buildroot

Le lun. 17 mai 2021 ? 22:43, Yann E. MORIN <yann.morin.1998@free.fr> a ?crit :
>
> Fabrice, All,
>
> +Adam for udisks and GOI... ;-]
>
> On 2021-05-17 19:06 +0200, Fabrice Fontaine spake thusly:
> > The application library (liblvm2app) has been dropped since version
> > 2.03.00 and
> > https://github.com/lvmteam/lvm2/commit/0d22b58172808f050abeacdb5d6a7b7132b91a8c
> >
> > It should be noted that lvm2 support must be dropped from udisks until
> > a bump to at least version 2.7.0 and
> > https://github.com/storaged-project/udisks/commit/4c0709a893be49a0db5b2839e4766621e2c1bb98
> >
> > Signed-off-by: Fabrice Fontaine <fontaine.fabrice@gmail.com>
>
> Applied to master, thanks.
>
> I was a bit concerned that we dropped this support, but hinestly, we
> have udisks 1.0.5, from March 2014... So, to me, it's a minor annoyance
> if lvm2 support in udisks is dropped...
>
> IIRC, Adam, did some work on udisks back when he was "toying" with GOI...
> Adam? ;-)
We also have a patch to bump udisks from Giulio:
https://patchwork.ozlabs.org/project/buildroot/patch/20200217143030.5031-5-giulio.benetti at benettiengineering.com/
Perhaps, Giulio could also help us to bump udisks.
>
> Regards,
> Yann E. MORIN.
>
> > ---
> >  Config.in.legacy         | 13 +++++++++++++
> >  package/lvm2/Config.in   | 11 -----------
> >  package/lvm2/lvm2.mk     |  7 -------
> >  package/udisks/Config.in | 15 ---------------
> >  package/udisks/udisks.mk |  6 +-----
> >  5 files changed, 14 insertions(+), 38 deletions(-)
> >
> > diff --git a/Config.in.legacy b/Config.in.legacy
> > index 39a44f3026..8683e01490 100644
> > --- a/Config.in.legacy
> > +++ b/Config.in.legacy
> > @@ -146,6 +146,19 @@ endif
> >
> >  comment "Legacy options removed in 2021.05"
> >
> > +config BR2_PACKAGE_UDISKS_LVM2
> > +     bool "udisks lvm2 support removed"
> > +     select BR2_LEGACY
> > +     help
> > +       The lvm2 support was removed because udisks < 2.7.0 still
> > +       depends on lvm2 application library.
> > +
> > +config BR2_PACKAGE_LVM2_APP_LIBRARY
> > +     bool "lvm2 application library removed"
> > +     select BR2_LEGACY
> > +     help
> > +       The lvm2 application library was removed upstream.
> > +
> >  config BR2_PACKAGE_LVM2_LVMETAD
> >       bool "lvm2 lvmetad removed"
> >       select BR2_LEGACY
> > diff --git a/package/lvm2/Config.in b/package/lvm2/Config.in
> > index de5b972e99..f8bcdffb38 100644
> > --- a/package/lvm2/Config.in
> > +++ b/package/lvm2/Config.in
> > @@ -36,17 +36,6 @@ config BR2_PACKAGE_LVM2_STANDARD_INSTALL
> >  comment "lvm2 standard install needs a glibc or uClibc toolchain"
> >       depends on BR2_TOOLCHAIN_USES_MUSL
> >
> > -config BR2_PACKAGE_LVM2_APP_LIBRARY
> > -     bool "install application library"
> > -     # http://lists.busybox.net/pipermail/buildroot/2016-August/170592.html
> > -     depends on !BR2_TOOLCHAIN_USES_MUSL
> > -     select BR2_PACKAGE_LVM2_STANDARD_INSTALL
> > -     help
> > -       Install application library (liblvm2app).
> > -
> > -comment "lvm2 application library needs a glibc or uClibc toolchain"
> > -     depends on BR2_TOOLCHAIN_USES_MUSL
> > -
> >  endif
> >
> >  comment "lvm2 needs a toolchain w/ threads, dynamic library"
> > diff --git a/package/lvm2/lvm2.mk b/package/lvm2/lvm2.mk
> > index 84ec75530a..224dbf5d54 100644
> > --- a/package/lvm2/lvm2.mk
> > +++ b/package/lvm2/lvm2.mk
> > @@ -55,12 +55,6 @@ LVM2_INSTALL_STAGING_OPTS += install
> >  LVM2_INSTALL_TARGET_OPTS += install
> >  endif
> >
> > -ifeq ($(BR2_PACKAGE_LVM2_APP_LIBRARY),y)
> > -LVM2_CONF_OPTS += --enable-applib
> > -else
> > -LVM2_CONF_OPTS += --disable-applib
> > -endif
> > -
> >  ifeq ($(BR2_INIT_SYSTEMD),y)
> >  LVM2_INSTALL_TARGET_OPTS += install_systemd_units install_systemd_generators
> >  endif
> > @@ -75,7 +69,6 @@ HOST_LVM2_CONF_OPTS = \
> >       --enable-pkgconfig \
> >       --disable-cmdlib \
> >       --disable-dmeventd \
> > -     --disable-applib \
> >       --disable-fsadm \
> >       --disable-readline \
> >       --disable-selinux
> > diff --git a/package/udisks/Config.in b/package/udisks/Config.in
> > index efd3b619bf..9d3eb240e6 100644
> > --- a/package/udisks/Config.in
> > +++ b/package/udisks/Config.in
> > @@ -31,21 +31,6 @@ config BR2_PACKAGE_UDISKS
> >
> >         http://www.freedesktop.org/wiki/Software/udisks
> >
> > -if BR2_PACKAGE_UDISKS
> > -
> > -config BR2_PACKAGE_UDISKS_LVM2
> > -     bool "lvm2 support"
> > -     # The lvm app library can't compile against musl
> > -     depends on BR2_TOOLCHAIN_USES_GLIBC
> > -     select BR2_PACKAGE_LVM2_APP_LIBRARY
> > -     help
> > -       Enable LVM2 support
> > -
> > -comment "lvm2 support needs a glibc toolchain"
> > -     depends on !BR2_TOOLCHAIN_USES_GLIBC
> > -
> > -endif
> > -
> >  comment "udisks needs udev /dev management"
> >       depends on BR2_USE_MMU
> >       depends on !BR2_PACKAGE_HAS_UDEV
> > diff --git a/package/udisks/udisks.mk b/package/udisks/udisks.mk
> > index af25c2b8e2..9f7a02e10c 100644
> > --- a/package/udisks/udisks.mk
> > +++ b/package/udisks/udisks.mk
> > @@ -24,10 +24,6 @@ UDISKS_DEPENDENCIES = \
> >       sg3_utils \
> >       udev
> >
> > -UDISKS_CONF_OPTS = --disable-remote-access --disable-man-pages
> > -
> > -ifeq ($(BR2_PACKAGE_UDISKS_LVM2),y)
> > -UDISKS_CONF_OPTS += --enable-lvm2
> > -endif
> > +UDISKS_CONF_OPTS = --disable-remote-access --disable-man-pages --disable-lvm2
> >
> >  $(eval $(autotools-package))
> > --
> > 2.30.2
> >
> > _______________________________________________
> > buildroot mailing list
> > buildroot at busybox.net
> > http://lists.busybox.net/mailman/listinfo/buildroot
>
> --
> .-----------------.--------------------.------------------.--------------------.
> |  Yann E. MORIN  | Real-Time Embedded | /"\ ASCII RIBBON | Erics' conspiracy: |
> | +33 662 376 056 | Software  Designer | \ / CAMPAIGN     |  ___               |
> | +33 561 099 427 `------------.-------:  X  AGAINST      |  \e/  There is no  |
> | http://ymorin.is-a-geek.org/ | _/*\_ | / \ HTML MAIL    |   v   conspiracy.  |
> '------------------------------^-------^------------------^--------------------'
Best Regards,

Fabrice

^ permalink raw reply	[flat|nested] 14+ messages in thread

* [Buildroot] [PATCH 2/2] package/lvm2: drop BR2_PACKAGE_LVM2_APP_LIBRARY
  2021-05-17 20:51     ` Fabrice Fontaine
@ 2021-05-18  7:58       ` Giulio Benetti
  2021-05-18  8:34         ` Giulio Benetti
  0 siblings, 1 reply; 14+ messages in thread
From: Giulio Benetti @ 2021-05-18  7:58 UTC (permalink / raw)
  To: buildroot

Hi Fabrice, Adam, All,

On 5/17/21 10:51 PM, Fabrice Fontaine wrote:
> Le lun. 17 mai 2021 ? 22:43, Yann E. MORIN <yann.morin.1998@free.fr> a ?crit :
>>
>> Fabrice, All,
>>
>> +Adam for udisks and GOI... ;-]
>>
>> On 2021-05-17 19:06 +0200, Fabrice Fontaine spake thusly:
>>> The application library (liblvm2app) has been dropped since version
>>> 2.03.00 and
>>> https://github.com/lvmteam/lvm2/commit/0d22b58172808f050abeacdb5d6a7b7132b91a8c
>>>
>>> It should be noted that lvm2 support must be dropped from udisks until
>>> a bump to at least version 2.7.0 and
>>> https://github.com/storaged-project/udisks/commit/4c0709a893be49a0db5b2839e4766621e2c1bb98
>>>
>>> Signed-off-by: Fabrice Fontaine <fontaine.fabrice@gmail.com>
>>
>> Applied to master, thanks.
>>
>> I was a bit concerned that we dropped this support, but hinestly, we
>> have udisks 1.0.5, from March 2014... So, to me, it's a minor annoyance
>> if lvm2 support in udisks is dropped...
>>
>> IIRC, Adam, did some work on udisks back when he was "toying" with GOI...
>> Adam? ;-)
> We also have a patch to bump udisks from Giulio:
> https://patchwork.ozlabs.org/project/buildroot/patch/20200217143030.5031-5-giulio.benetti at benettiengineering.com/
> Perhaps, Giulio could also help us to bump udisks.

I can try to re-bump since at the time I thought there were a lot of 
dependencies while Adam(if I recall correct) told me that GOI wasn't 
needed in libblock for example. So I'm retrying to bump with the minimum 
dependencies. Let's see if I'm able to do this.

Best regards
-- 
Giulio Benetti
Benetti Engineering sas

>>
>> Regards,
>> Yann E. MORIN.
>>
>>> ---
>>>   Config.in.legacy         | 13 +++++++++++++
>>>   package/lvm2/Config.in   | 11 -----------
>>>   package/lvm2/lvm2.mk     |  7 -------
>>>   package/udisks/Config.in | 15 ---------------
>>>   package/udisks/udisks.mk |  6 +-----
>>>   5 files changed, 14 insertions(+), 38 deletions(-)
>>>
>>> diff --git a/Config.in.legacy b/Config.in.legacy
>>> index 39a44f3026..8683e01490 100644
>>> --- a/Config.in.legacy
>>> +++ b/Config.in.legacy
>>> @@ -146,6 +146,19 @@ endif
>>>
>>>   comment "Legacy options removed in 2021.05"
>>>
>>> +config BR2_PACKAGE_UDISKS_LVM2
>>> +     bool "udisks lvm2 support removed"
>>> +     select BR2_LEGACY
>>> +     help
>>> +       The lvm2 support was removed because udisks < 2.7.0 still
>>> +       depends on lvm2 application library.
>>> +
>>> +config BR2_PACKAGE_LVM2_APP_LIBRARY
>>> +     bool "lvm2 application library removed"
>>> +     select BR2_LEGACY
>>> +     help
>>> +       The lvm2 application library was removed upstream.
>>> +
>>>   config BR2_PACKAGE_LVM2_LVMETAD
>>>        bool "lvm2 lvmetad removed"
>>>        select BR2_LEGACY
>>> diff --git a/package/lvm2/Config.in b/package/lvm2/Config.in
>>> index de5b972e99..f8bcdffb38 100644
>>> --- a/package/lvm2/Config.in
>>> +++ b/package/lvm2/Config.in
>>> @@ -36,17 +36,6 @@ config BR2_PACKAGE_LVM2_STANDARD_INSTALL
>>>   comment "lvm2 standard install needs a glibc or uClibc toolchain"
>>>        depends on BR2_TOOLCHAIN_USES_MUSL
>>>
>>> -config BR2_PACKAGE_LVM2_APP_LIBRARY
>>> -     bool "install application library"
>>> -     # http://lists.busybox.net/pipermail/buildroot/2016-August/170592.html
>>> -     depends on !BR2_TOOLCHAIN_USES_MUSL
>>> -     select BR2_PACKAGE_LVM2_STANDARD_INSTALL
>>> -     help
>>> -       Install application library (liblvm2app).
>>> -
>>> -comment "lvm2 application library needs a glibc or uClibc toolchain"
>>> -     depends on BR2_TOOLCHAIN_USES_MUSL
>>> -
>>>   endif
>>>
>>>   comment "lvm2 needs a toolchain w/ threads, dynamic library"
>>> diff --git a/package/lvm2/lvm2.mk b/package/lvm2/lvm2.mk
>>> index 84ec75530a..224dbf5d54 100644
>>> --- a/package/lvm2/lvm2.mk
>>> +++ b/package/lvm2/lvm2.mk
>>> @@ -55,12 +55,6 @@ LVM2_INSTALL_STAGING_OPTS += install
>>>   LVM2_INSTALL_TARGET_OPTS += install
>>>   endif
>>>
>>> -ifeq ($(BR2_PACKAGE_LVM2_APP_LIBRARY),y)
>>> -LVM2_CONF_OPTS += --enable-applib
>>> -else
>>> -LVM2_CONF_OPTS += --disable-applib
>>> -endif
>>> -
>>>   ifeq ($(BR2_INIT_SYSTEMD),y)
>>>   LVM2_INSTALL_TARGET_OPTS += install_systemd_units install_systemd_generators
>>>   endif
>>> @@ -75,7 +69,6 @@ HOST_LVM2_CONF_OPTS = \
>>>        --enable-pkgconfig \
>>>        --disable-cmdlib \
>>>        --disable-dmeventd \
>>> -     --disable-applib \
>>>        --disable-fsadm \
>>>        --disable-readline \
>>>        --disable-selinux
>>> diff --git a/package/udisks/Config.in b/package/udisks/Config.in
>>> index efd3b619bf..9d3eb240e6 100644
>>> --- a/package/udisks/Config.in
>>> +++ b/package/udisks/Config.in
>>> @@ -31,21 +31,6 @@ config BR2_PACKAGE_UDISKS
>>>
>>>          http://www.freedesktop.org/wiki/Software/udisks
>>>
>>> -if BR2_PACKAGE_UDISKS
>>> -
>>> -config BR2_PACKAGE_UDISKS_LVM2
>>> -     bool "lvm2 support"
>>> -     # The lvm app library can't compile against musl
>>> -     depends on BR2_TOOLCHAIN_USES_GLIBC
>>> -     select BR2_PACKAGE_LVM2_APP_LIBRARY
>>> -     help
>>> -       Enable LVM2 support
>>> -
>>> -comment "lvm2 support needs a glibc toolchain"
>>> -     depends on !BR2_TOOLCHAIN_USES_GLIBC
>>> -
>>> -endif
>>> -
>>>   comment "udisks needs udev /dev management"
>>>        depends on BR2_USE_MMU
>>>        depends on !BR2_PACKAGE_HAS_UDEV
>>> diff --git a/package/udisks/udisks.mk b/package/udisks/udisks.mk
>>> index af25c2b8e2..9f7a02e10c 100644
>>> --- a/package/udisks/udisks.mk
>>> +++ b/package/udisks/udisks.mk
>>> @@ -24,10 +24,6 @@ UDISKS_DEPENDENCIES = \
>>>        sg3_utils \
>>>        udev
>>>
>>> -UDISKS_CONF_OPTS = --disable-remote-access --disable-man-pages
>>> -
>>> -ifeq ($(BR2_PACKAGE_UDISKS_LVM2),y)
>>> -UDISKS_CONF_OPTS += --enable-lvm2
>>> -endif
>>> +UDISKS_CONF_OPTS = --disable-remote-access --disable-man-pages --disable-lvm2
>>>
>>>   $(eval $(autotools-package))
>>> --
>>> 2.30.2
>>>
>>> _______________________________________________
>>> buildroot mailing list
>>> buildroot at busybox.net
>>> http://lists.busybox.net/mailman/listinfo/buildroot
>>
>> --
>> .-----------------.--------------------.------------------.--------------------.
>> |  Yann E. MORIN  | Real-Time Embedded | /"\ ASCII RIBBON | Erics' conspiracy: |
>> | +33 662 376 056 | Software  Designer | \ / CAMPAIGN     |  ___               |
>> | +33 561 099 427 `------------.-------:  X  AGAINST      |  \e/  There is no  |
>> | http://ymorin.is-a-geek.org/ | _/*\_ | / \ HTML MAIL    |   v   conspiracy.  |
>> '------------------------------^-------^------------------^--------------------'
> Best Regards,
> 
> Fabrice
> 

^ permalink raw reply	[flat|nested] 14+ messages in thread

* [Buildroot] [PATCH 2/2] package/lvm2: drop BR2_PACKAGE_LVM2_APP_LIBRARY
  2021-05-18  7:58       ` Giulio Benetti
@ 2021-05-18  8:34         ` Giulio Benetti
  2021-05-18  9:19           ` Yann E. MORIN
  0 siblings, 1 reply; 14+ messages in thread
From: Giulio Benetti @ 2021-05-18  8:34 UTC (permalink / raw)
  To: buildroot

On 5/18/21 9:58 AM, Giulio Benetti wrote:
> Hi Fabrice, Adam, All,
> 
> On 5/17/21 10:51 PM, Fabrice Fontaine wrote:
>> Le lun. 17 mai 2021 ? 22:43, Yann E. MORIN <yann.morin.1998@free.fr> a ?crit :
>>>
>>> Fabrice, All,
>>>
>>> +Adam for udisks and GOI... ;-]
>>>
>>> On 2021-05-17 19:06 +0200, Fabrice Fontaine spake thusly:
>>>> The application library (liblvm2app) has been dropped since version
>>>> 2.03.00 and
>>>> https://github.com/lvmteam/lvm2/commit/0d22b58172808f050abeacdb5d6a7b7132b91a8c
>>>>
>>>> It should be noted that lvm2 support must be dropped from udisks until
>>>> a bump to at least version 2.7.0 and
>>>> https://github.com/storaged-project/udisks/commit/4c0709a893be49a0db5b2839e4766621e2c1bb98
>>>>
>>>> Signed-off-by: Fabrice Fontaine <fontaine.fabrice@gmail.com>
>>>
>>> Applied to master, thanks.
>>>
>>> I was a bit concerned that we dropped this support, but hinestly, we
>>> have udisks 1.0.5, from March 2014... So, to me, it's a minor annoyance
>>> if lvm2 support in udisks is dropped...
>>>
>>> IIRC, Adam, did some work on udisks back when he was "toying" with GOI...
>>> Adam? ;-)
>> We also have a patch to bump udisks from Giulio:
>> https://patchwork.ozlabs.org/project/buildroot/patch/20200217143030.5031-5-giulio.benetti at benettiengineering.com/
>> Perhaps, Giulio could also help us to bump udisks.
> 
> I can try to re-bump since at the time I thought there were a lot of
> dependencies while Adam(if I recall correct) told me that GOI wasn't
> needed in libblock for example. So I'm retrying to bump with the minimum
> dependencies. Let's see if I'm able to do this.
> 
> Best regards
> 

Pardon, I've also noticed this Adam's patch to bump that has been rejected:
https://patchwork.ozlabs.org/project/buildroot/patch/20200725230618.3640682-14-aduskett at gmail.com/

But I can't find the reason why it's been rejected. I've applied it and 
it builds after some adjustment without lvm2 for the moment, then I can 
respin it if everything is ok with a second patch re-adding lvm2 support.

-- 
Giulio Benetti
Benetti Engineering sas

^ permalink raw reply	[flat|nested] 14+ messages in thread

* [Buildroot] [PATCH 2/2] package/lvm2: drop BR2_PACKAGE_LVM2_APP_LIBRARY
  2021-05-18  8:34         ` Giulio Benetti
@ 2021-05-18  9:19           ` Yann E. MORIN
  2021-05-18  9:54             ` Giulio Benetti
  0 siblings, 1 reply; 14+ messages in thread
From: Yann E. MORIN @ 2021-05-18  9:19 UTC (permalink / raw)
  To: buildroot

Giulio, All,

On 2021-05-18 10:34 +0200, Giulio Benetti spake thusly:
> On 5/18/21 9:58 AM, Giulio Benetti wrote:
> >On 5/17/21 10:51 PM, Fabrice Fontaine wrote:
> >>Le lun. 17 mai 2021 ? 22:43, Yann E. MORIN <yann.morin.1998@free.fr> a ?crit :
[--SNIP--]
> >>>I was a bit concerned that we dropped this support, but hinestly, we
> >>>have udisks 1.0.5, from March 2014... So, to me, it's a minor annoyance
> >>>if lvm2 support in udisks is dropped...
> >>>IIRC, Adam, did some work on udisks back when he was "toying" with GOI...
> >>>Adam? ;-)
> >>We also have a patch to bump udisks from Giulio:
> >>https://patchwork.ozlabs.org/project/buildroot/patch/20200217143030.5031-5-giulio.benetti at benettiengineering.com/
> >>Perhaps, Giulio could also help us to bump udisks.
> >I can try to re-bump since at the time I thought there were a lot of
> >dependencies while Adam(if I recall correct) told me that GOI wasn't
> >needed in libblock for example. So I'm retrying to bump with the minimum
> >dependencies. Let's see if I'm able to do this.
> Pardon, I've also noticed this Adam's patch to bump that has been rejected:
> https://patchwork.ozlabs.org/project/buildroot/patch/20200725230618.3640682-14-aduskett at gmail.com/
> 
> But I can't find the reason why it's been rejected. I've applied it and it
> builds after some adjustment without lvm2 for the moment, then I can respin
> it if everything is ok with a second patch re-adding lvm2 support.

IIRC, there was some back-n-forth on IRC about various technical
details, like NLS handling and use of msgfmt:
    http://lists.busybox.net/pipermail/buildroot/2020-July/287917.html
    http://lists.busybox.net/pipermail/buildroot/2020-August/290568.html

But indeed, there is no summary on the list... :-/

If you can combine and rework the previous attempts (yours and Adam's)
and respin that, with a commit log that explains the issues and how they
were fixed, that'd be great!

Regards,
Yann E. MORIN.

-- 
.-----------------.--------------------.------------------.--------------------.
|  Yann E. MORIN  | Real-Time Embedded | /"\ ASCII RIBBON | Erics' conspiracy: |
| +33 662 376 056 | Software  Designer | \ / CAMPAIGN     |  ___               |
| +33 561 099 427 `------------.-------:  X  AGAINST      |  \e/  There is no  |
| http://ymorin.is-a-geek.org/ | _/*\_ | / \ HTML MAIL    |   v   conspiracy.  |
'------------------------------^-------^------------------^--------------------'

^ permalink raw reply	[flat|nested] 14+ messages in thread

* [Buildroot] [PATCH 2/2] package/lvm2: drop BR2_PACKAGE_LVM2_APP_LIBRARY
  2021-05-18  9:19           ` Yann E. MORIN
@ 2021-05-18  9:54             ` Giulio Benetti
  2021-05-20  0:09               ` [Buildroot] [PATCH 0/1] package/udisks: bump to version 2.92 Giulio Benetti
  2021-05-20  0:14               ` [Buildroot] [PATCH 2/2] package/lvm2: drop BR2_PACKAGE_LVM2_APP_LIBRARY Giulio Benetti
  0 siblings, 2 replies; 14+ messages in thread
From: Giulio Benetti @ 2021-05-18  9:54 UTC (permalink / raw)
  To: buildroot

Hi Yann, All,

On 5/18/21 11:19 AM, Yann E. MORIN wrote:
> Giulio, All,
> 
> On 2021-05-18 10:34 +0200, Giulio Benetti spake thusly:
>> On 5/18/21 9:58 AM, Giulio Benetti wrote:
>>> On 5/17/21 10:51 PM, Fabrice Fontaine wrote:
>>>> Le lun. 17 mai 2021 ? 22:43, Yann E. MORIN <yann.morin.1998@free.fr> a ?crit :
> [--SNIP--]
>>>>> I was a bit concerned that we dropped this support, but hinestly, we
>>>>> have udisks 1.0.5, from March 2014... So, to me, it's a minor annoyance
>>>>> if lvm2 support in udisks is dropped...
>>>>> IIRC, Adam, did some work on udisks back when he was "toying" with GOI...
>>>>> Adam? ;-)
>>>> We also have a patch to bump udisks from Giulio:
>>>> https://patchwork.ozlabs.org/project/buildroot/patch/20200217143030.5031-5-giulio.benetti at benettiengineering.com/
>>>> Perhaps, Giulio could also help us to bump udisks.
>>> I can try to re-bump since at the time I thought there were a lot of
>>> dependencies while Adam(if I recall correct) told me that GOI wasn't
>>> needed in libblock for example. So I'm retrying to bump with the minimum
>>> dependencies. Let's see if I'm able to do this.
>> Pardon, I've also noticed this Adam's patch to bump that has been rejected:
>> https://patchwork.ozlabs.org/project/buildroot/patch/20200725230618.3640682-14-aduskett at gmail.com/
>>
>> But I can't find the reason why it's been rejected. I've applied it and it
>> builds after some adjustment without lvm2 for the moment, then I can respin
>> it if everything is ok with a second patch re-adding lvm2 support.
> 
> IIRC, there was some back-n-forth on IRC about various technical
> details, like NLS handling and use of msgfmt:
>      http://lists.busybox.net/pipermail/buildroot/2020-July/287917.html
>      http://lists.busybox.net/pipermail/buildroot/2020-August/290568.html

Thanks for pointing

> But indeed, there is no summary on the list... :-/

Yes, I've seen, I try to clarify the dependencies.

> If you can combine and rework the previous attempts (yours and Adam's)
> and respin that, with a commit log that explains the issues and how they
> were fixed, that'd be great!

I try to, I've already found that libblockdev fails to install its 
headers on host so udisks can't find them. It will take me some time to
do it, let's see if I succeeed :-)

Best regards
-- 
Giulio Benetti
Benetti Engineering sas

^ permalink raw reply	[flat|nested] 14+ messages in thread

* [Buildroot] [PATCH 0/1] package/udisks: bump to version 2.92
  2021-05-18  9:54             ` Giulio Benetti
@ 2021-05-20  0:09               ` Giulio Benetti
  2021-05-20  0:09                 ` [Buildroot] [PATCH 1/1] " Giulio Benetti
  2021-05-20  0:14               ` [Buildroot] [PATCH 2/2] package/lvm2: drop BR2_PACKAGE_LVM2_APP_LIBRARY Giulio Benetti
  1 sibling, 1 reply; 14+ messages in thread
From: Giulio Benetti @ 2021-05-20  0:09 UTC (permalink / raw)
  To: buildroot

I'm re-taking over this patch from Adam Duskett, basically the patch is
very similar to his one that was taken by initial mine.
$(TARGET_NLS_DEPENDENCIES) in my build tests is not needed.

Giulio Benetti (1):
  package/udisks: bump to version 2.92

 ...-fix-build-with-newer-glibc-versions.patch | 29 -------
 .../0002-Fix-systemd-service-file.patch       | 33 --------
 ...issue-with-missing-sys-sysmacros.h-i.patch | 81 -------------------
 package/udisks/Config.in                      | 17 +++-
 package/udisks/udisks.hash                    |  4 +-
 package/udisks/udisks.mk                      | 27 +++++--
 6 files changed, 35 insertions(+), 156 deletions(-)
 delete mode 100644 package/udisks/0001-fix-build-with-newer-glibc-versions.patch
 delete mode 100644 package/udisks/0002-Fix-systemd-service-file.patch
 delete mode 100644 package/udisks/0003-Fix-compilation-issue-with-missing-sys-sysmacros.h-i.patch

-- 
2.25.1

^ permalink raw reply	[flat|nested] 14+ messages in thread

* [Buildroot] [PATCH 1/1] package/udisks: bump to version 2.92
  2021-05-20  0:09               ` [Buildroot] [PATCH 0/1] package/udisks: bump to version 2.92 Giulio Benetti
@ 2021-05-20  0:09                 ` Giulio Benetti
  2021-06-02 20:32                   ` Arnout Vandecappelle
  0 siblings, 1 reply; 14+ messages in thread
From: Giulio Benetti @ 2021-05-20  0:09 UTC (permalink / raw)
  To: buildroot

Bump version to 2.92 by:
- removing local patches that have been upstreamed
- adding BR2_TOOLCHAIN_HAS_SYNC_4 dependency
- adding libblockdev dependencies
- adding libmount(contained in util-linux package) dependency
- moving download site to github since it's the new upstream address
- disabling all useless udisks's build option to shrink its size and t
  use it as a daemon

Signed-off-by: Giulio Benetti <giulio.benetti@benettiengineering.com>
---
 ...-fix-build-with-newer-glibc-versions.patch | 29 -------
 .../0002-Fix-systemd-service-file.patch       | 33 --------
 ...issue-with-missing-sys-sysmacros.h-i.patch | 81 -------------------
 package/udisks/Config.in                      | 17 +++-
 package/udisks/udisks.hash                    |  4 +-
 package/udisks/udisks.mk                      | 27 +++++--
 6 files changed, 35 insertions(+), 156 deletions(-)
 delete mode 100644 package/udisks/0001-fix-build-with-newer-glibc-versions.patch
 delete mode 100644 package/udisks/0002-Fix-systemd-service-file.patch
 delete mode 100644 package/udisks/0003-Fix-compilation-issue-with-missing-sys-sysmacros.h-i.patch

diff --git a/package/udisks/0001-fix-build-with-newer-glibc-versions.patch b/package/udisks/0001-fix-build-with-newer-glibc-versions.patch
deleted file mode 100644
index 336fc440a6..0000000000
--- a/package/udisks/0001-fix-build-with-newer-glibc-versions.patch
+++ /dev/null
@@ -1,29 +0,0 @@
-Fix build with newer glibc versions
-
-This patch has been backported from upstream:
-
-http://cgit.freedesktop.org/udisks/commit/?h=udisks1&id=9829152b12a8924d2e091a00133ed1a3a7ba75c0
-
-Signed-off-by: Vicente Olivert Riera <Vincent.Riera@imgtec.com>
-
-From 9829152b12a8924d2e091a00133ed1a3a7ba75c0 Mon Sep 17 00:00:00 2001
-From: Alexandre Rostovtsev <tetromino@gentoo.org>
-Date: Fri, 29 May 2015 21:09:39 -0400
-Subject: fix build with newer glibc versions
-
-https://bugs.freedesktop.org/show_bug.cgi?id=90778
-
-diff --git a/src/helpers/job-drive-detach.c b/src/helpers/job-drive-detach.c
-index eeafcab..d122a1f 100644
---- a/src/helpers/job-drive-detach.c
-+++ b/src/helpers/job-drive-detach.c
-@@ -18,6 +18,7 @@
-  *
-  */
- 
-+#include <sys/stat.h>
- #include <stdio.h>
- #include <string.h>
- #include <errno.h>
--- 
-cgit v0.10.2
diff --git a/package/udisks/0002-Fix-systemd-service-file.patch b/package/udisks/0002-Fix-systemd-service-file.patch
deleted file mode 100644
index ea347aef73..0000000000
--- a/package/udisks/0002-Fix-systemd-service-file.patch
+++ /dev/null
@@ -1,33 +0,0 @@
-From bf8b4362cef24a6f747e4329305a4939c8f585d1 Mon Sep 17 00:00:00 2001
-From: David King <amigadave@amigadave.com>
-Date: Thu, 2 Jul 2015 13:49:22 +0100
-Subject: [PATCH] Fix systemd service file
-
-udisks-daemon is installed to $(libexecdir), not $(prefix)/lib/udisks.
-
-https://bugzilla.redhat.com/show_bug.cgi?id=1238664
-https://bugs.freedesktop.org/show_bug.cgi?id=91191
-
-[This patch has been backported from upstream:
-https://cgit.freedesktop.org/udisks/commit/?h=udisks1&id=bf8b4362cef24a6f747e4329305a4939c8f585d1]
-Signed-off-by: Pieterjan Camerlynck <pieterjan.camerlynck@gmail.com>
----
- data/Makefile.am | 2 +-
- 1 file changed, 1 insertion(+), 1 deletion(-)
-
-diff --git a/data/Makefile.am b/data/Makefile.am
-index 411ea0f..08af5f4 100644
---- a/data/Makefile.am
-+++ b/data/Makefile.am
-@@ -31,7 +31,7 @@ systemdservicedir       = $(systemdsystemunitdir)
- systemdservice_DATA     = $(systemdservice_in_files:.service.in=.service)
- 
- $(systemdservice_DATA): $(systemdservice_in_files) Makefile
--	@sed -e "s|\@libexecdir\@|$(prefix)/lib/udisks|" $< > $@
-+	@sed -e "s|\@libexecdir\@|$(libexecdir)|" $< > $@
- endif
- 
- udevrulesdir = $(slashlibdir)/udev/rules.d
--- 
-2.7.4
-
diff --git a/package/udisks/0003-Fix-compilation-issue-with-missing-sys-sysmacros.h-i.patch b/package/udisks/0003-Fix-compilation-issue-with-missing-sys-sysmacros.h-i.patch
deleted file mode 100644
index 71152e5de3..0000000000
--- a/package/udisks/0003-Fix-compilation-issue-with-missing-sys-sysmacros.h-i.patch
+++ /dev/null
@@ -1,81 +0,0 @@
-From d934b0fa5ce24a8fd1987b916e435ba991c2ef64 Mon Sep 17 00:00:00 2001
-From: Vadim Kochan <vadim.kochan@petcube.com>
-Date: Mon, 31 Dec 2018 11:00:46 +0200
-Subject: [PATCH] Fix compilation issue due to missing sys/sysmacros.h include
-
-glibc 2.28+ no longer include <sys/sysmacros.h> from <sys/types.h>, so
-<sys/sysmacros.h> must now be explicitly included to use the major,
-minor and makedev macros.
-
-Signed-off-by: Vadim Kochan <vadim.kochan@petcube.com>
----
- src/daemon.c          | 1 +
- src/device.c          | 1 +
- src/mount-monitor.c   | 1 +
- tools/udisks.c        | 1 +
- tools/umount-udisks.c | 1 +
- 5 files changed, 5 insertions(+)
-
-diff --git a/src/daemon.c b/src/daemon.c
-index fafcf9a..4303a6d 100644
---- a/src/daemon.c
-+++ b/src/daemon.c
-@@ -45,6 +45,7 @@
- #include <sys/socket.h>
- #include <sys/un.h>
- #include <sys/utsname.h>
-+#include <sys/sysmacros.h>
- #include <net/if_arp.h>
- #include <fcntl.h>
- #include <signal.h>
-diff --git a/src/device.c b/src/device.c
-index 2ae7f38..20920df 100644
---- a/src/device.c
-+++ b/src/device.c
-@@ -33,6 +33,7 @@
- #include <sys/stat.h>
- #include <sys/time.h>
- #include <sys/resource.h>
-+#include <sys/sysmacros.h>
- #include <fcntl.h>
- #include <pwd.h>
- #include <grp.h>
-diff --git a/src/mount-monitor.c b/src/mount-monitor.c
-index 573a69c..0cfa167 100644
---- a/src/mount-monitor.c
-+++ b/src/mount-monitor.c
-@@ -29,6 +29,7 @@
- #include <string.h>
- #include <sys/types.h>
- #include <sys/stat.h>
-+#include <sys/sysmacros.h>
- #include <mntent.h>
- 
- #include <glib.h>
-diff --git a/tools/udisks.c b/tools/udisks.c
-index 97e80d7..22a7d87 100644
---- a/tools/udisks.c
-+++ b/tools/udisks.c
-@@ -31,6 +31,7 @@
- #include <sys/types.h>
- #include <sys/stat.h>
- #include <sys/wait.h>
-+#include <sys/sysmacros.h>
- #include <fcntl.h>
- #include <pwd.h>
- #include <grp.h>
-diff --git a/tools/umount-udisks.c b/tools/umount-udisks.c
-index 2813fe0..d915660 100644
---- a/tools/umount-udisks.c
-+++ b/tools/umount-udisks.c
-@@ -30,6 +30,7 @@
- #include <string.h>
- #include <sys/types.h>
- #include <sys/stat.h>
-+#include <sys/sysmacros.h>
- #include <fcntl.h>
- #include <pwd.h>
- #include <grp.h>
--- 
-2.14.1
-
diff --git a/package/udisks/Config.in b/package/udisks/Config.in
index 9d3eb240e6..17993baafc 100644
--- a/package/udisks/Config.in
+++ b/package/udisks/Config.in
@@ -7,18 +7,26 @@ config BR2_PACKAGE_UDISKS
 	depends on BR2_PACKAGE_SPIDERMONKEY_ARCH_SUPPORTS # spidermonkey
 	depends on BR2_TOOLCHAIN_GCC_AT_LEAST_4_9 # spidermonkey
 	depends on BR2_TOOLCHAIN_HAS_THREADS_NPTL # polkit
-	depends on BR2_USE_MMU # lvm2
 	depends on BR2_USE_WCHAR # dbus-glib -> glib2
-	depends on !BR2_TOOLCHAIN_USES_UCLIBC # polkit, lvm2
-	depends on !BR2_STATIC_LIBS # lvm2, spidermonkey
+	depends on BR2_TOOLCHAIN_HAS_SYNC_4 # libblockdev -> cryptsetup -> json-c
+	depends on !BR2_TOOLCHAIN_USES_UCLIBC # polkit
+	depends on !BR2_STATIC_LIBS # spidermonkey
 	select BR2_PACKAGE_DBUS
 	select BR2_PACKAGE_DBUS_GLIB
 	select BR2_PACKAGE_LIBATASMART
+	select BR2_PACKAGE_LIBBLOCKDEV
+	select BR2_PACKAGE_LIBBLOCKDEV_CRYPTO
+	select BR2_PACKAGE_LIBBLOCKDEV_FS
+	select BR2_PACKAGE_LIBBLOCKDEV_LOOP
+	select BR2_PACKAGE_LIBBLOCKDEV_MDRAID
+	select BR2_PACKAGE_LIBBLOCKDEV_PART
+	select BR2_PACKAGE_LIBBLOCKDEV_SWAP
 	select BR2_PACKAGE_LIBGUDEV
-	select BR2_PACKAGE_LVM2
 	select BR2_PACKAGE_PARTED
 	select BR2_PACKAGE_POLKIT
 	select BR2_PACKAGE_SG3_UTILS
+	select BR2_PACKAGE_UTIL_LINUX
+	select BR2_PACKAGE_UTIL_LINUX_LIBMOUNT
 	help
 	  The udisks project provides
 
@@ -38,6 +46,7 @@ comment "udisks needs udev /dev management"
 comment "udisks needs a glibc or musl toolchain with locale, C++, wchar, dynamic library, NPTL, gcc >= 4.9"
 	depends on BR2_USE_MMU
 	depends on BR2_PACKAGE_SPIDERMONKEY_ARCH_SUPPORTS
+	depends on BR2_TOOLCHAIN_HAS_SYNC_4
 	depends on !BR2_ENABLE_LOCALE || BR2_TOOLCHAIN_USES_UCLIBC || \
 		!BR2_INSTALL_LIBSTDCPP || \
 		BR2_STATIC_LIBS || \
diff --git a/package/udisks/udisks.hash b/package/udisks/udisks.hash
index b40161e323..303a0aae01 100644
--- a/package/udisks/udisks.hash
+++ b/package/udisks/udisks.hash
@@ -1,3 +1,3 @@
 # Locally calculated
-sha256 f2ec82eb0ea7e01dc299b5b29b3c18cdf861236ec43dcff66b3552b4b31c6f71  udisks-1.0.5.tar.gz
-sha256 7d30f41a79a9b453b4972a6d7e3425ff104b39232891bde8ba659f1adb21f771  COPYING
+sha256  bda6f9d7edc632c57e55862731a8ffeff2413fa4346708a22bf31ed72b0fe058  udisks-2.9.2.tar.bz2
+sha256  98046e932dc6c739001e79d7079a3bd958fc55475dcd917d27f884c0c93525cc  COPYING
diff --git a/package/udisks/udisks.mk b/package/udisks/udisks.mk
index 9f7a02e10c..aa1a73aff5 100644
--- a/package/udisks/udisks.mk
+++ b/package/udisks/udisks.mk
@@ -4,26 +4,39 @@
 #
 ################################################################################
 
-UDISKS_VERSION = 1.0.5
-UDISKS_SITE = http://hal.freedesktop.org/releases
+UDISKS_VERSION = 2.9.2
+UDISKS_SOURCE = udisks-$(UDISKS_VERSION).tar.bz2
+UDISKS_SITE = https://github.com/storaged-project/udisks/releases/download/udisks-$(UDISKS_VERSION)
 UDISKS_LICENSE = GPL-2.0+
 UDISKS_LICENSE_FILES = COPYING
 UDISKS_CPE_ID_VENDOR = freedesktop
-# For 0002-Fix-systemd-service-file.patch
-UDISKS_AUTORECONF = YES
 
 UDISKS_DEPENDENCIES = \
 	host-pkgconf \
 	dbus \
 	dbus-glib \
 	libatasmart \
+	libblockdev \
 	libgudev \
-	lvm2 \
 	parted \
 	polkit \
 	sg3_utils \
-	udev
+	udev \
+	util-linux
 
-UDISKS_CONF_OPTS = --disable-remote-access --disable-man-pages --disable-lvm2
+UDISKS_CONF_OPTS = \
+	--disable-acl \
+	--disable-bcache \
+	--disable-btrfs \
+	--disable-fhs-media \
+	--disable-introspection \
+	--disable-iscsi \
+	--disable-lsm \
+	--disable-lvm2 \
+	--disable-lvmcache \
+	--disable-man \
+	--disable-rpath \
+	--disable-vdo \
+	--disable-zram
 
 $(eval $(autotools-package))
-- 
2.25.1

^ permalink raw reply	[flat|nested] 14+ messages in thread

* [Buildroot] [PATCH 2/2] package/lvm2: drop BR2_PACKAGE_LVM2_APP_LIBRARY
  2021-05-18  9:54             ` Giulio Benetti
  2021-05-20  0:09               ` [Buildroot] [PATCH 0/1] package/udisks: bump to version 2.92 Giulio Benetti
@ 2021-05-20  0:14               ` Giulio Benetti
  1 sibling, 0 replies; 14+ messages in thread
From: Giulio Benetti @ 2021-05-20  0:14 UTC (permalink / raw)
  To: buildroot

Hi Yann,

On 5/18/21 11:54 AM, Giulio Benetti wrote:
> Hi Yann, All,
> 
> On 5/18/21 11:19 AM, Yann E. MORIN wrote:
>> IIRC, there was some back-n-forth on IRC about various technical
>> details, like NLS handling and use of msgfmt:
>>       http://lists.busybox.net/pipermail/buildroot/2020-July/287917.html
>>       http://lists.busybox.net/pipermail/buildroot/2020-August/290568.html
> 

I've just sent the udisks' patch. Regarding this:
http://lists.busybox.net/pipermail/buildroot/2020-August/290568.html

it seems something not related to udisks.

I've built with test-pkg succesfully while now I've launched test-pkg -a 
to build with all architectures.

Since I've started, then Adam continued and then I've finished how does 
it work with authorship? Is it mine? And also, I should add its SoB with
listing what I've done and he's done, right? If so I will send on V2.

Thank you
and
Best regards
-- 
Giulio Benetti
Benetti Engineering sas

^ permalink raw reply	[flat|nested] 14+ messages in thread

* [Buildroot] [PATCH 1/2] package/docker-engine: drop BR2_PACKAGE_LVM2_APP_LIBRARY
  2021-05-17 17:06 [Buildroot] [PATCH 1/2] package/docker-engine: drop BR2_PACKAGE_LVM2_APP_LIBRARY Fabrice Fontaine
  2021-05-17 17:06 ` [Buildroot] [PATCH 2/2] package/lvm2: " Fabrice Fontaine
  2021-05-17 20:23 ` [Buildroot] [PATCH 1/2] package/docker-engine: " Yann E. MORIN
@ 2021-05-20  8:51 ` Peter Korsgaard
  2 siblings, 0 replies; 14+ messages in thread
From: Peter Korsgaard @ 2021-05-20  8:51 UTC (permalink / raw)
  To: buildroot

>>>>> "Fabrice" == Fabrice Fontaine <fontaine.fabrice@gmail.com> writes:

 > lvm2 app library is not needed to build devicemapper filesystem driver
 > Signed-off-by: Fabrice Fontaine <fontaine.fabrice@gmail.com>

Committed to 2021.02.x, thanks.

-- 
Bye, Peter Korsgaard

^ permalink raw reply	[flat|nested] 14+ messages in thread

* [Buildroot] [PATCH 1/1] package/udisks: bump to version 2.92
  2021-05-20  0:09                 ` [Buildroot] [PATCH 1/1] " Giulio Benetti
@ 2021-06-02 20:32                   ` Arnout Vandecappelle
  0 siblings, 0 replies; 14+ messages in thread
From: Arnout Vandecappelle @ 2021-06-02 20:32 UTC (permalink / raw)
  To: buildroot



On 20/05/2021 02:09, Giulio Benetti wrote:
> Bump version to 2.92 by:
> - removing local patches that have been upstreamed
> - adding BR2_TOOLCHAIN_HAS_SYNC_4 dependency
> - adding libblockdev dependencies
> - adding libmount(contained in util-linux package) dependency
> - moving download site to github since it's the new upstream address
> - disabling all useless udisks's build option to shrink its size and t
>   use it as a daemon
> 
> Signed-off-by: Giulio Benetti <giulio.benetti@benettiengineering.com>


 Applied to next, thanks.

 Regards,
 Arnout

^ permalink raw reply	[flat|nested] 14+ messages in thread

end of thread, other threads:[~2021-06-02 20:32 UTC | newest]

Thread overview: 14+ messages (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2021-05-17 17:06 [Buildroot] [PATCH 1/2] package/docker-engine: drop BR2_PACKAGE_LVM2_APP_LIBRARY Fabrice Fontaine
2021-05-17 17:06 ` [Buildroot] [PATCH 2/2] package/lvm2: " Fabrice Fontaine
2021-05-17 20:43   ` Yann E. MORIN
2021-05-17 20:51     ` Fabrice Fontaine
2021-05-18  7:58       ` Giulio Benetti
2021-05-18  8:34         ` Giulio Benetti
2021-05-18  9:19           ` Yann E. MORIN
2021-05-18  9:54             ` Giulio Benetti
2021-05-20  0:09               ` [Buildroot] [PATCH 0/1] package/udisks: bump to version 2.92 Giulio Benetti
2021-05-20  0:09                 ` [Buildroot] [PATCH 1/1] " Giulio Benetti
2021-06-02 20:32                   ` Arnout Vandecappelle
2021-05-20  0:14               ` [Buildroot] [PATCH 2/2] package/lvm2: drop BR2_PACKAGE_LVM2_APP_LIBRARY Giulio Benetti
2021-05-17 20:23 ` [Buildroot] [PATCH 1/2] package/docker-engine: " Yann E. MORIN
2021-05-20  8:51 ` Peter Korsgaard

This is an external index of several public inboxes,
see mirroring instructions on how to clone and mirror
all data and code used by this external index.